Page suivante Page précédente Table des matières

## 3. La procédure de compilation

On peut télécharger BRLTTY depuis son site Web (voir la section Contacts pour son adresse). Toutes les versions sont fournies en archives tar compressés. Les versions récentes sont aussi fournies en fichiers RPM (RedHat paquet Manager).

Ces information éparses ont probablement piqué votre curiosité et vous êtes impatient de démarrer. Cependant, nous vous recommandons de vous familiariser d'abord avec les fichiers qui seront finalement installés.

## 3.1 Hiérarchie des fichiers installés

La procédure de compilation devrait aboutir à l'installation des fichiers suivants:

/bin/

  brltty

    Le programme BRLTTY.

  brltty-install

    Un outil pour la copie de la hiérarchie des fichiers installés de BRLTTY d'un emplacement à un autre...

  brltty-config

    Un outil qui assigne un certain nombre de variables d'environnement à des valeurs reflétant l'installation courante de BRLTTY.

/lib/brltty/rw/

  Fichiers créés lors de l'exécution, comme ceux nécessaires mais absents du système.

/etc/

  brltty.conf

    Paramètres système par défaut pour BRLTTY.

  brlapi.key

    Clés d'accès pour BrlAPI.

/etc/brltty/

  Il se peut que votre installation de BRLTTY n'ait pas tous les types de fichiers suivants. Ils ne sont créés qu'en fonction des besoins déduits des options de compilation que vous sélectionnez (voir Options de compilation).

  *.conf

    Base de configuration spécifique au pilote. Leur nom ressemble plus ou moins à `brltty-`pilote`.conf`, où pilote correspond aux deux lettres du code d'identification du pilote.

  *.atb

    Tables d'attributs (voir la section Tables d'attributs pour plus de détails). Leur nom ressemble à name`.atb`.

  *.ati

    Fichiers include pour les tables d'attributs.

  *.ctb

    Tables de braille abrégé (voir Tables de braille abrégé pour plus de détails). Leur nom ressemble plus ou moins à langue`-`pays`-`niveau`.ctb`.

  *.cti

    Fichiers include pour les tables de traduction.

  *.ktb

    Tables de touches (voir la section Tables de touches pour plus de détails). Leurs noms ressemble à name`.ktb`.

  *.kti

    Fichiers Include pour les tables de touches.

  *.ttb

    Tables de texte (voir la section Tables de texte pour plus de détails). Leurs noms ressemble à language`.ttb`.

  *.tti

    Fichiers Include pour les tables de texte.

  *.hlp

    Pages d'aide spécifiques à chaque pilote. Leur nom ressemble plus ou moins à `brltty-`pilote`.hlp`, où pilote correspond aux deux lettres du code d'identification du pilote.

/var/lib/

  Sockets locaux pour la connexion à l'interface de programmation de l'application.

/include/

  Les fichiers d'en-tête C pour l'interface de programmation de l'application. Leurs noms ressemblent à brlapi-fonction`.h`. L'en-tête principale est brlapi.h.

/include/brltty/

  Les fichiers d'en-tête C pour l'interface de programmation de l'application. Leurs noms ressemblent à brldefs-pilote`.h` où pilote`-`pilote`.h` (où pilote correspond aux deux lettres du Code d'identification du pilote). Les en-têtes brldefs.h et api.h sont fournies pour une compatibilité avec des version précédentes et ne devraient pas être utilisées.

/lib/

  libbrlapi.a

    bibliothèque statique de l'interface de programmation de l'application (Application Programming Interface).

  libbrlapi.so

    bibliothèque dynamique pour l'interface de programmation de l'application.

/lib/brltty/

  Il se peut que votre installation de BRLTTY n'ait pas tous les types de fichiers suivants. Ils ne sont créés qu'en fonction des besoins déduits des options de compilation que vous sélectionnez (voir Options de compilation).

  brltty-brl.lst

    Une liste des pilotes des afficheurs braille qui ont été compilés en tant qu'objets dynamiques et, ainsi, qui peuvent être utilisés. Chaque ligne contient les deux lettres du code d'identification pour un pilote, une tabulation, et une description de l'afficheur braille pour lequel ce pilote existe.

  libbrlttybpilote.so.1

    Le pilote dynamique pour un afficheur braille, où pilote correspond aux deux lettres du code d'identification du pilote.

  brltty-spk.lst

    Une liste des pilotes de synthèse vocale qui ont été compilés en tant qu'objets dynamiques, et, ainsi, qui peuvent être utilisés. Chaque ligne contient les deux lettres du code d'identification pour un pilote, une tabulation, et une description de la synthèse vocale pour laquelle ce pilote existe.

  libbrlttyspilote.so.1

    Le pilote dynamique pour une synthèse vocale, où pilote correspond aux deux lettres du Code d'identification du pilote.

/man/

  Pages de manuel.

  man1/nom.1

    Pages de manuel pour les commandes utilisateur liées à BRLTTY.

  man3/nom.3

    Pages de manuel pour la bibliothèque de l'interface de programmation de l'application.

D'autres fichiers optionnels que vous devriez connaître, bien qu'ils ne fassent pas partie de la hiérarchie des fichiers installés, sont :

/etc/brltty.conf

  Le fichier des paramètres système par défaut. Il est créé par l'administrateur système. Voir Le fichier de configuration pour plus de détails.

/etc/brltty-pilote.prefs

  Le fichier de sauvegarde des paramètres de préférence (pilote correspond aux deux lettres du code d'identification de pilote). Il est créé par la commande PREFSAVE. Voir Paramètres de Préférences pour plus de détails.

## 3.2 Installation à partir d'un TAR Ball

Voici ce que vous avez à faire si vous voulez seulement installer BRLTTY à toute vitesse, en espérant que tous nos paramètres par défaut soient corrects.

1. Téléchargez les sources. Il s'agira d'un fichier nommé `brltty-`version`.tar.gz`, par exemple `brltty-3.0.tar.gz`.
2. Décompressez les sources dans une structure hiérarchique native.

   > `tar xzf brltty-version.tar.gz`

   Cela devrait créer le répertoire `brltty-`version.
3. Allez dans le répertoire des sources, configurez, compilez et installez BRLTTY.

   > `cd brltty-version
   > ./configure
   > make
   > make install`

   Vous devez effectuer cette dernière commande en tant que root.

Pour désinstaller BRLTTY, faites :

> `cd brltty-version
> make uninstall`

C'est tout ce que vous avez à faire. Pour ceux qui veulent vraiment savoir ce qui se passe, voici maintenant les détails.

### Options de compilation

La première étape dans la compilation de BRLTTY est de le configurer en fonction de votre système et/ou de vos besoins personnels. Cela se fait par l'exécution du script de `configuration` dans le répertoire racine de BRLTTY. Nous avons tenté de faire correspondre les paramètres par défaut suffisants à la plupart des cas communs, donc, en supposant que vous ne tentez pas de faire quelque chose sortant de l'ordinaire, il se peut que vous n'ayez rien besoin d'autre que d'appeler ce script sans spécifier d'options.

> `./configure`

Si toutefois vous avez des besoins particuliers, ou si vous êtes simplement un aventurier, vous devriez trouver plus loin quels sont vos choix.

> `./configure --help`

Vous devriez aussi lire le fichier README dans le sous-répertoire contenant le pilote pour votre afficheur braille pour toutes les instructions supplémentaires spécifiques.

### Paramètres système par défaut

`--with-braille-driver=`pilote

  Spécifie les pilotes des terminaux braille que vous voulez lier à l'exécutable de BRLTTY. Les pilotes qui ne figureront pas dans la liste de cette option seront compilés en tant qu'objets dynamiques et pourront toujours être sélectionnés au moment de l'exécution. Chaque pilote doit être identifié soit par les 2 lettres de son code d'identification de pilote ou par son vrai nom (complet ou abrégé). Ces noms et/ou identifiants de pilotes doivent être séparés les uns des autres par une simple virgule. Si un identifiant de pilote est précédé du signe moins (`-`), ce pilote est alors exclu de la compilation. Le premier pilote non-exclu devient le pilote par défaut. Il n'y a pas de pilote par défaut si vous n'utilisez pas cette option. Un des mots suivants peut être aussi utilisé comme opérateur pour l'option:

  (`-`),

  all

    Lie tous les pilotes à l'exécutable. Ne les compile pas en tant qu'objets dynamiques. Vous pouvez spécifier ce mot comme élément terminant une liste de pilotes. C'est une façon de spécifier un pilote par défaut quand tous les pilotes seront compilés.

  -all

    Ne compile que les pilotes qui ont été explicitement inclus par cette option.

  no

    Ne compile aucun pilote. Cela revient à spécifier `--without-braille-driver`.

  yes

    Compile tous les pilotes en tant qu'objets dynamiques. Ne les lie pas à l'exécutable. Cela revient à spécifier `--with-braille-driver`.

  Voir la ligne braille-driver du fichier de configuration et l'option -b de la ligne de commande pour une sélection à l'exécution.
`--with-braille-parameters=`[pilote`:`]nom`=`valeur`,`...

  Spécifie les paramètres par défaut pour les pilotes des afficheurs braille. Si un même paramètre est spécifié plus d'une fois, sa valeur la plus à droite est prise en compte. Si le nom d'un paramètre est spécifique à un pilote, (voir la section Codes d'identification de pilotes) cette valeur ne s'applique qu'à ce pilote; sinon, il s'applique à tous les pilotes. Pour une description des paramètres acceptés par un pilote particulier, reportez-vous à la documentation de ce pilote. Voir la ligne braille-parameters du fichier de configuration et l'option -B de la ligne de commande pour la sélection à l'exécution.

`--with-braille-device=`pilote`,`...

  Spécifie le port par défaut auquel l'afficheur braille est relié (voir la section Spécification du port braille). Si vous ne spécifiez pas cette option, usb: est supposé si le support USB est disponible, bluetooth: est supposé si le support Bluetooth est disponible, et usb:,bluetooth: est supposé si les deux sont disponibles. Si ni le support USB ni le support Bluetooth ne sont disponibles, un chemin approprié pour le périphérique du port série primaire correspondant au système d'exploitation est supposé. Voir la ligne braille-device du fichier de configuration et l'option -d de la ligne de commande pour la sélection à l'exécution.

`--with-libbraille=`répertoire Spécifie l'endroit où se trouve le paquet libbraille, et compile le pilote pour l'afficheur braille libbraille (voir Restrictions dans la compilation). Un des mots suivants peut être aussi utilisé comme opérateur pour l'option:

  (`-`),

  no

    Ne compile pas le pilote. Cela revient à spécifier `--without-libbraille`.

  yes

    Compile le pilote si le paquet est présent dans `/usr`, `/usr/local`, `/usr/local/Libbraille`, `/usr/local/libbraille`, `/opt/Libbraille`, ou `/opt/libbraille`. Cela revient à à spécifier `--with-libbraille`.

`--with-text-table=`fichier

  Spécifie la table de traduction de texte compilée en dur (celle par défaut) (voir la section Tables de texte pour plus de détails). La table spécifiée est liée au binaire BRLTTY et elle est utilisée au cas où la sélection automatique à partir de la locale échoue ou si la table demandée ne peut pas être chargée. Vous pouvez fournir le chemin absolu d'une table hors de l'arborescence source. L'extension `.ttb` est facultative. Pour un nom de fichier simple, le préfixe `text.` est facultatif. Si vous ne spécifiez pas cette option, `en-nabcc`, une table commune (en Amérique du Nord) utilisant la variante 8 points du North American Braille Computer Code, est utilisée. Voir la ligne text-table du fichier de configuration et l'option -t en ligne de commande pour la sélection à l'exécution. Ce paramètre peut être modifié par la préférence Text Table.

`--with-attributes-table=`fichier

  Spécifie la table des attributs compilée en dur (celle par défaut) (voir la section Tables d'attributs pour plus de détails). La table spécifiée est liée au binaire BRLTTY et elle est utilisée au cas où la sélection automatique à partir de la locale échoue ou si la table demandée ne peut pas être chargée. Vous pouvez fournir le chemin absolu d'une table hors de l'arborescence source. L'extension `.atb` est facultative. Si vous ne spécifiez pas cette option, `attributes` est alors utilisé. Changez cette option en `attrib` pour maintenir l'ancienne forme. Voir la ligne attributes-table du fichier de configuration et l'option -a en ligne de commande pour la sélection à l'exécution. Ce paramètre peut être modifié par la préférence Attributes Table.

`--with-speech-driver=`pilote

  Spécifie les pilotes de synthèse vocale que vous voulez lier à l'exécutable de BRLTTY. Les pilotes qui ne figureront pas dans la liste de cette option seront compilés en tant qu'objets dynamiques et pourront toujours être sélectionnés à l'exécution. Chaque pilote doit être identifié soit par les 2 lettres de son code d'identification de pilote ou par son vrai nom (complet ou abrégé). Ces noms et/ou les identifiants de pilotes doivent être séparés les uns des autres par une simple virgule. Si un identifiant de pilote est précédé du signe moins (`-`), ce pilote est alors exclu de la compilation. Un des mots suivants peut aussi être utilisé comme opérateur pour l'option:

  all

    Lie tous les pilotes à l'exécutable. Ne les compile pas en tant qu'objets dynamiques. Vous pouvez spécifier ce mot comme élément terminant une liste de pilotes. C'est une façon de spécifier un pilote par défaut quand tous les pilotes seront compilés.

  -all

    Ne compile que les pilotes qui ont été explicitement inclus par cette option.

  no

    Ne compile aucun pilote. Cela revient à spécifier `--without-speech-driver`.

  yes

    Compile tous les pilotes en tant qu'objets dynamiques. Ne les lie pas à l'exécutable. Cela revient à spécifier `--with-speech-driver`.

  Voir la ligne speech-driver du fichier de configuration et l'option -s de la ligne de commande pour une sélection à l'exécution.
`--with-speech-parameters=`[pilote`:`]nom`=`valeur`,`...

  Spécifie les paramètres par défaut pour les pilotes de synthèse vocale. Si un même paramètre est spécifié plus d'une fois, sa valeur la plus à droite est prise en compte. Si le nom d'un paramètre est spécifique à un pilote, (voir la section Codes d'identification de pilotes) cette valeur ne s'applique qu'à ce pilote; sinon, il s'applique à tous les pilotes. Pour une description des paramètres acceptés par un pilote spécifique, reportez-vous à la documentation de ce pilote. Voir la ligne speech-parameters du fichier de configuration et l'option -S de la ligne de commande pour la sélection à l'exécution.

`--with-flite=`directory

  Spécifie l'emplacement d'installation de FestivalLite et compile le pilote pour cette synthèse vocale (voir Restrictions dans la compilation L'un des mots suivants peut aussi être utilisé comme opérateur de cette option:

  no

    Ne compile pas le pilote. Cela revient à spécifier `--without-flite`.

  yes

    Compile le pilote si le paquet existe dans `/usr`, `/usr/local`, `/usr/local/FestivalLite`, `/usr/local/flite`, `/opt/FestivalLite` ou `/opt/flite`. Cela revient à spécifier`--with-flite`.

`--with-flite-language=`language

  Spécifie la langue qu'utilisera le moteur de FestivalLite. La langue utilisée par défaut est `l'anglais`.

`--with-flite-lexicon=`lexicon

  Spécifie le dictionnaire que le moteur de FestivalLite utilisera. Le dictionnaire par défaut est `cmulex`.

`--with-flite-voice=`voice

  Spécifie la personne que le moteur de FestivalLite doit utiliser. La voix par défaut est `cmu_us_kal16`.

`--with-mikropuhe=`directory

  Spécifie l'emplacement d'installation du paquet Mickropuhe et compile le pilote pour la synthèse vocale Mikropuhe (voir Restrictions dans la compilation). L'un des mots suivants peut aussi être utilisé comme opérateur de cette option:

  no

    Ne compile pas le pilote. Cela revient à spécifier `--without-mikropuhe`.

  yes

    Compile le pilote si le paquet existe dans `/usr`, `/usr/local`, `/usr/local`, `/usr/local/Mikropuhe`, `/usr/local/mikropuhe`, `/opt/Mikropuhe` ou `/opt/mikropuhe`. Cela revient à spécifier `--with-mikropuhe`.

`--with-speechd=`repertoire

  Spécifie l'endroit où est installé le paquet de la synthèse vocale speech-dispatcher (multiplexeur de synthèse vocale) et compile le pilote pour speech-dispatcher. L'un des mots suivants peut aussi être utilisé comme opérateur de cette option:

  no

    Ne compile pas le pilote. Cela revient à spécifier `--without-speechd`.

  yes

    Compile le pilote si le paquet existe dans `/usr`, `/usr/local`, `/usr/local/speech-dispatcher`, `/usr/local/speechd`, `/opt/speech-dispatcher`, ou `/opt/speechd`. Cela revient à spécifier `--with-speechd`.

`--with-swift=`repertoire

  Spécifie l'endroit où est installé le paquet de la synthèse vocale, et compile le pilote pour la synthèse vocale Swift. L'un des mots suivants peut aussi être utilisé comme opérateur de cette option:

  no

    Ne compile pas le pilote. Cela revient à spécifier `--without-swift`.

  yes

    Compile le pilote si le paquet existe dans `/usr`, `/usr/local`, `/usr/local/Swift`, `/usr/local/swift`, `/opt/Swift`, ou `/opt/swift`. Cela revient à spécifier `--with-swift`.

`--with-theta=`repertoire

  Spécifie l'emplacement d'installation du paquet Theta et compile le pilote pour la synthèse vocale Theta (voir Restrictions dans la compilation). L'un des mots suivants peut aussi être utilisé comme opérateur de cette option:

  no

    Ne compile pas le pilote. Cela revient à spécifier `--without-theta`.

  yes

    Compile le pilote si le paquet existe dans `/usr`, `/usr/local`, `/usr/local/Theta`, `/usr/local/theta`, `/opt/Theta`, ou `/opt/theta`. Cela revient à spécifier `--with-theta`.

`--with-screen-driver=`pilote

  Spécifie les pilotes pour l'écran qui seront liés à l'exécutable BRLTTY. Ceux qui ne sont pas mentionnés dans cette option sont compilés en tant qu'objets dynamiques et peuvent être choisis lors de l'exécution. Chaque pilote doit être identifié soit par les deux lettres de son code d'identification (voir la section Ecrans supportés) soit par son nom (complet ou abrégé). Vous devez séparer les identifiants des pilotes les uns des autres par une virgule. Si l'identifiant d'un pilote est précédé du signe moins (`-`), il est exclu de la compilation. Un des mots suivants peut être aussi utilisé comme opérateur pour l'option:

  (`-`),

  all

    Lie tous les pilotes à l'exécutable. Ne les compile pas en tant qu'objets dynamiques. Vous pouvez spécifier ce mot comme élément terminant une liste de pilotes. C'est la façon de spécifier un pilote par défaut quand tous les pilotes seront compilés.

  -all

    Ne compile que les pilotes qui ont été explicitement inclus par cette option.

  no

    Ne compile aucun pilote. Cela revient à spécifier `--without-screen-driver`.

  yes

    Compile tous les pilotes en tant qu'objets dynamiques. Ne les lie pas à l'exécutable. Cela revient à spécifier `--with-braille-driver`.

  Le premier pilote non exclu devient celui par défaut. Si cette option n'est pas spécifiée, une sélection adaptée au système d'exploitation est faite. Si un pilote spécifique au système d'exploitation en cours est fiable, il est utilisé. Sinon, `sc` est utilisé.

  Voir la ligne screen-driver du fichier de configuration et l'option -x de la ligne de commande pour une sélection à l'exécution.

`--with-screen-parameters=`name`=`valeur`,`...

  Spécifie les paramètres par défaut pour le pilote d'écran. Si le même paramètre est spécifié plus d'une fois, c'est sa valeur la plus à droite qui est retenue. Si le nom d'un paramètre est affecté à un pilote (voir section Pilotes d'écran supportés) alors ce paramètre ne s'applique qu'au pilote; sinon il s'applique à tous les pilotes. Pour une description des paramètres acceptés par un pilote spécifique, reportez-vous à la documentation de celui-ci. Voir la ligne screen-parameters du fichier de configuration et l'option -X en ligne de commande pour la sélection à l'exécution.

`--with-usb-paquet=`paquet`,`...

  Spécifie le paquet qui sera utilisé pour l'E/S USB. Vous devez spéarer les noms de paquets les uns des autres par une virgule, ils sont traités de la gauche vers la droite. Le premier installé sur le système est sélectionné. Les paquets suivants sont supportés:

  1. libusb
  2. libusb-1.0
  Un des mots suivants peut être aussi utilisé comme opérande pour cette option:
  no

    Ne supporte pas l'E/S USB. Cela revient à spécifier `--without-usb-paquet`.

  yes

    Utiliser le support natif pour l'E/S USB. Si un support natif n'est pas disponible pour la plateforme actuelle, utiliser alors le premier paquet supporté disponible (comme pour l'ordre spécifié ci-dessus). Cela revient à spécifier `--with-usb-paquet`.

`--with-bluetooth-paquet=`paquet`,`...

  Spécifie le paquet qui sera utilisé pour l'E/S Bluetooth. Vous devez spéarer les noms de paquets les uns des autres par une virgule, ils sont traités de la gauche vers la droite. Le premier installé sur le système est sélectionné. Les paquets suivants sont supportés:

  1. (aucun paquet n'est actuellement supporté)
  Un des mots suivants peut être aussi utilisé comme opérande pour cette option:
  no

    Ne supporte pas l'E/S Bluetooth. Cela revient à spécifier `--without-bluetooth-paquet`.

  yes

    Utiliser le support natif pour l'E/S Bluetooth. Si un support natif n'est pas disponible pour la plateforme actuelle, utiliser alors le premier paquet supporté disponible (comme pour l'ordre spécifié ci-dessus). Cela revient à spécifier `--with-bluetooth-paquet`.

### Spécification du répertoire

`--with-execute-root=`repertoire

  Spécifie le répertoire dans lequel la hiérarchie des fichiers installés aura sa racine lors de l'exécution. Vous devriez fournir un chemin absolu. Si cette option n'est pas spécifiée, le répertoire racine du système est utilisé. Utilisez cette option si vous avez besoin d'installer les exécutables de BRLTTY dans un emplacement non standard. Par exemple, vous devez utiliser cette option si vous voulez avoir plusieurs versions de BRLTTY installées en même temps (voir la section Installiation de plusieurs versions pour un exemple de cette opération).

`--with-install-root=`repertoire

  Spécifie le répertoire où la hiérarchie des fichiers installés sera installée. Vous devriez fournir un chemin absolu. Si cette option n'est pas spécifiée, la racine d'exécution du paquet (voir l'option de compilation --with-execute-root) est utilisée. Ce répertoire n'est utilisé que par make-install et make-uninstall. Utilisez cette option si vous avez besoin d'installer BRLTTY dans un répertoire différent de celui où il sera exécuté en définitive. Par exemple, vous avez besoin d'utiliser cette caractéristique si vous compilez BRLTTY sur un système pour l'utiliser sur un autre.

`--prefix=`repertoire

  Indique le répertoire dans lequel la hiérarchie des fichiers installés constitue le répertoire par défaut, indépendant de l'architecture, et qui sera utilisé comme répertoire racine. Ces sous-répertoires comprennent les dossiers:

  - le répertoire writable
  - le répertoire data
  - le répertoire configuration
  - le répertoire manpage
  - le répertoire include
  Vous devriez fournir un chemin absolu. Si vous ne spécifiez pas cette option, c'est le répertoire racine du système qui est utilisé. Ce répertoire est lié à celui précisé par l'option de compilation --with-execute-root.
`--with-writable-directory=`répertoire

  Spécifie le répertoire dans lequel la hiérarchie des fichiers installés pourra être écrite. Vous devriez fournir un chemin absolu. Un des mots suivants peut être utilisé comme opérateur pour cette option.

  (`-`),

  no

    Ne définit pas de répertoire inscriptible (writable). Cela revient à spécifier `--without-writable-directory`.

  yes

    Utilise l'endroit par défaut. Cela revient à spécifier `--with-writable-directory`.

  Si vous ne spécifiez pas cette option, le sous-répertoire autorisé en rw (lecture/écriture) dans le dossier spécifié par l'option --with-library-directory est supposé. Le répertoire est créé s'il n'existe pas.
`--exec-prefix=`répertoire

  Spécifie le répertoire de la hiérarchie des fichiers installés où les répertoires par défaut pour les fichiers dépendant de l'architecture doivent être placés. Ces répertoires incluent:

  - le répertoire programme
  - le répertoire des bibliothèques compilées
  - le répertoire d'API compilé
  Vous devriez fournir un chemin absolu. Si vous ne spécifiez pas cette option, c'est le répertoire spécifié par l'option de compilation --prefix qui est utilisé. Ce répertoire est lié à celui spécifié par l'option de compilation --with-execute-root.
`--libdir=`repertoire

  Spécifie le répertoire situé dans la hiérarchie des fichiers installés où les modules statiques et les objets chargeables dynamiquement pour l'Interface Programmatique de l'Application sont à copier. Le chemin absolu doit être indiqué. Si cette option est absente le répertoire indiqué dans l'option `--libdir` (qui, par défaut, est le répertoire racine `/lib` du répertoire spécifié par l'option de construction --exec-prefix) est utilisé. Le répertoire est créé s'il n'existe pas.

`--sysconfdir=`directory

  Spécifie le répertoire situé dans la hiérarchie des fichiers installés où les fichiers de configuration sont à installer. Vous devez fournir un chemin absolu. Si vous ne spécifiez pas cette option, c'est le répertoire spécifié par l'option de configuration standard `--sysconfdir` (qui, par défaut, est le répertoire racine de `/etc` spécifié par l'option de compilation --prefix) qui est utilisé. Le répertoire est créé s'il n'existe pas.

`--with-program-directory=`directory

  Spécifie le répertoire situé dans la hiérarchie des fichiers installés où les exécutables (binaires, exécutables), doivent être installés. Vous devez fournir un chemin absolu. Si cette option n'est pas utilisée, c'est le répertoire spécifié par l'option de configuration standard `--bindir` (qui, par défaut, est le répertoire-racine spécifié par l'option de compilation --exec-prefix) qui est utilisé. Le répertoire est créé s'il n'existe pas.

`--with-library-directory=`directory

  Spécifie le répertoire situé dans la hiérarchie des fichiers installés où les pilotes et d'autres fichiers indépendants de l'architecture doivent être installés. Vous devez fournir un chemin absolu. Si cette option n'est pas spécifiée, c'est le sous-répertoire du répertoire `brltty` spécifié par l'option de configuration standard `--libdir` (qui par défaut est le répertoire racine spécifié par l'option de compilation --exec-prefix) qui est utilisé. Le répertoire est créé s'il n'existe pas.

`--with-data-directory=`directory

  Spécifie le répertoire situé dans la hiérarchie des fichiers installés où les tables, les pages d'aide et d'autres fichiers indépendants de l'architecture doivent être installés. Vous devez fournir un chemin absolu. Si cette option n'est pas spécifiée, c'est le sous-répertoire du répertoire `brltty` spécifié par l'option de configuration standard `--sysconfdir` (qui par défaut est le répertoire racine `/etc` spécifié par l'option de compilation --prefix) qui est utilisé. Le répertoire est créé s'il n'existe pas.

`--with-manpage-directory=`directory

  Spécifie le répertoire situé dans la hiérarchie des fichiers installés où les tables et les pages de manuel doivent être installées. Vous devez fournir un chemin absolu. Si cette option n'est pas spécifiée, c'est le sous-répertoire du répertoire `brltty` spécifié par l'option de configuration standard `--mandir` (qui par défaut est le répertoire racine `/man` spécifié par l'option de compilation --prefix) qui est utilisé. Le répertoire est créé s'il n'existe pas.

`--with-include-directory=`directory

  Spécifie le répertoire situé dans la hiérarchie des fichiers installés où les fichiers d'en-tête C pour l'Interface Programmatique de l'Application doivent être installés. Vous devez fournir un chemin absolu. Si cette option n'est pas spécifiée, c'est le sous-répertoire du répertoire `brltty` spécifié par l'option de configuration standard `--includedir` (qui par défaut est le répertoire racine `/include` spécifié par l'option de compilation --prefix qui est utilisé. Le répertoire est créé s'il n'existe pas.

### Caractéristiques de la compilation

Ces options sont surtout utiles quand vous compilez BRLTTY pour une disquette de démarrage. Elles visent à réduire la taille des programmes en supprimant les fonctions inutiles.

`--enable-standalone-programs`

  Crée des programmes liés de façon statique plutôt que de façon dynamique. Cette option supprime toutes les dépendances sur les objets partagés à l'exécution. Seuls les pilotes par défaut (voir les options de compilation --with-braille-driver, --with-speech-driver et --with-screen-driver) sont compilés.

`--disable-stripping`

  Ne supprime pas les symboles des tables des exécutables et des objets partagés lors de leur installation.

`--enable-relocatable-install`

  Si cette fonctionnalité est activée, tous les chemins internes sont recalculés afin d'englober le répertoire du programme. Si elle n'est pas utilisée, tous les chemins internes sont absolus. Cette fonctionnalité vise à ce que toute la hiérarchie des fichiers installés soit copiée ou déplacée proprement d'un endroit à l'autre, tout particulièrement pour un usage sur des plateformes Windows.

`--disable-strippingl`

  Ne supprime pas les tables de symboles des exécutables et des objets partagés lors de leur installation.

`--disable-learn-mode`

  Réduit la taille du programme en excluant le mode apprentissage des commandes (voir la section Mode apprentissage des commandes).

`--disable-contracted-braille`

  Réduit la taille du programme en excluant le support pour le braille abrégé (voir la section Braille abrégé).

`--disable-speech-support`

  Réduit la taille du programme en excluant le support des synthëses vocales.

`--disable-iconv`

  Réduit la taille du programme en excluant le support pour la conversion des codages.

`--disable-icu`

  Réduit la taille du programme en excluant le support pour l'internationalisation basée sur l'Unicode.

`--disable-x`

  Réduit la taille du programme en excluant le support pour X11.

`--disable-beeper-support`

  Réduit la taille du programme en excluant le support pour le générateur des "none" en console.

`--disable-pcm-support`

  Réduit la taille du programme en excluant le support pour l'interface Digital Audio sur la carte son.

`--enable-pcm-support=`interface

  Si une plateforme propose plus d'une interface Digital Audio, celle qui sera utilisée peut être spécifiée.

  Plateforme | Interface | Description
  Linux | oss | Open Sound System
  | alsa | Advanced Linux Sound Architecture

`--disable-midi-support`

  Réduit la taille du programme en excluant le support pour l'interface numérique d'instruments de musique sur la carte son.

`--enable-midi-support=`interface

  Si une plateforme propose plus d'une interface numérique d'instrument de musique, vous pouvez spécifier celle qui sera utilisée.

  Platte-forme | Interface | Description
  Linux | oss | Open Sound System
  | alsa | Advanced Linux Sound Architecture

`--disable-fm-support`

  Réduit la taille du programme en excluant le support pour le synthétiseur FM sur une carte son AdLib, OPL3, Sound Blaster, ou équivalent.

`--disable-pm-configfile`

  Inclut une interface avec l'application `gpm` de telle sorte que, sur les systèmes qui le supportent, BRLTTY interagisse avec le pilote du pointeur (souris) (voir la section Support du pointeur (souris) via GPM).

`--disable-gpm`

  Réduit la taille du programme en excluant l'interface avec l'application gpm qui permet à BRLTTY d'interagir avec le périphérique du pointeur (la souris) (voir Support du pointeur (souris) par GPM).

`--disable-api`

  Réduit la taille du programme en excluant l'interface de programmation de l'application.

`--with-api-parameters=`name`=`valeur`,`...

  Spécifie les paramètres par défaut pour l'interface de programmation de l'application. Si le même paramètre est spécifié plus d'une fois, sa valeur la plus à droite est utilisée. Pour une description des paramètres acceptés par l'interface, voir le manuel de référence de BrlAPI. Voir la ligne api-parameters du fichier de configuration et l'option -A en ligne de commande pour la sélection à l'exécution.

`--disable-caml-bindings=`nom`=`valeur`,`...

  Ne compile pas les bindings Caml (interfaces de programmation) pour l'interface de programmation de l'application.

`--disable-java-bindings=`nom`=`valeur`,`...

  Ne compile pas les bindings Java (interfaces de programmation) pour l'interface de programmation de l'application.

`--disable-lisp-bindings=`nom`=`valeur`,`...

  Ne compile pas les bindings Lisp (interfaces de programmation) pour l'interface de programmation de l'application.

`--disable-python-bindings=`nom`=`valeur`,`...

  Ne compile pas les bindings Python (interfaces de programmation) pour l'interface de programmation de l'application.

`--disable-tcl-bindings=`nom`=`valeur`,`...

  Ne compile pas les bindings Tcl (interfaces de programmation) pour l'interface de programmation de l'application.

`--with-tcl-config=`chemin Spécifie l'endroit où se trouve le script de configuration Tcl (tclConfig.sh). Vous pouvez fournir le chemin, soit vers le script lui-même, soit vers le répertoire où il se trouve. Un des mots suivants peut être aussi utilisé comme opérateur pour l'option:

  (`-`),

  no

    Utilise d'autres moyens pour savoir si Tcl est disponible et, s'il l'est, où il a été installé. Cela revient à spécifier `--without-tcl-config.`.

  yes

    Cherche le script dans quelques répertoires couramment utilisés. Cela revient à spécifier `--with-tcl-config`.

### Options diverses

`--with-init-path=`path

  Spécifie le chemin du programme réel de démarrage pour le système. Vous devriez fournir le chemin absolu. Si vous ne spécifiez pas cette option:

  1. Vous devriez déplacer le programme `init` dans un nouvel emplacement.
  2. Vous devriez déplacer `brltty` dans l'emplacement original du programme.
  3. Finalement, quand le système exécute `init` au démarrage, `brltty` est exécuté. Il se met automatiquement en arrière-plan et exécute le `init` réel au premier plan. C'est l'une des manières quelque peu tordue d'avoir droit au braille dès le début. C'est surtout utile pour certains disques d'installation/sauvegarde.
  Si vous ne spécifiez pas cette option, cette possibilité n'est pas activée. Elle vise tout particulièrement la compilation d'une image pour un installeur en braille.
`--with-stderr-path==`chemin

  Spécifie le chemin du fichier ou du périphérique où la sortie standard des erreurs sera écrite. Vous devriez fournir un chemin absolu. Si vous ne spécifiez pas cette option, cette possibilité n'est pas activée. Cette option vise tout particulièrement la compilation d'une image pour un installeur en braille.

### Préparer les cibles de fichier

Une fois que BRLTTY a été configuré, les étapes suivantes consistent en la compilation et l'installation de ce dernier. Elles sont effectuées en entrant la commande make du système dans le fichier make principal de BRLTTY (`Makefile` dans le répertoire principal). Le fichier make de BRLTTY supporte la plupart des cibles de maintenance d'application courants. Ils incluent:

make

  Un raccourci pour tout préparer.

make all

  Compile et fait l'édition de liens pour l'exécutable BRLTTY, ses pilotes et leurs pages de manuel, ses programmes de texte, et quelques autres petits outils.

make install

  Complète la compilation et la phase d'édition de liens (voir make all), et installe alors l'exécutable BRLTTY, ses fichiers de données (data), pilotes et pages d'aide, aux emplacements corrects et avec les bonnes permissions.

make uninstall

  Enlève du système l'exécutable BRLTTY, ses fichiers de données, pilotes et pages de manuel.

make clean

  Garantit que la compilation à venir et l'édition de liens (voir see make all) se feront à vide en enlevant les résultats de la compilation précédente, en liant et en testant depuis la structure du répertoire source. Cela comprend la suppression des fichiers objets, des exécutables, des objets dynamiques, des listes de pilote, des pages de manuel, des fichiers d'en-tête temporaires, et des fichiers liés.

make distclean

  Au-delà de la suppression des résultats de la compilation précédente et de l'edition de liens (voir make clean):

  - Supprime les résultats de la configuration de BRLTTY (voir Options de compilation). Cela inclut la suppression de `config.mk`, `config.h`, `config.cache`, `config.status`, et `config.log`.
  - Supprime les autres fichiers de la structure du répertoire source, qui prennent beaucoup de place mais qui ne leur appartient pas. Cela inclut la suppression de fichiers éditeur de sauvegarde (backup), résultats de test, les reliquats du patch, et copies de fichiers source originaux.

## 3.3 Tester BRLTTY

Après la compilation, l'édition de liens, et l'installation de BRLTTY, c'est peut-être une bonne idée de faire un petit test avant de l'activer en permanence. Pour cela, appelez-le avec:

> `brltty -bpilote -dpériphérique`

Pour pilote, spécifiez les deux lettres du code d'identification de pilote correspondant à votre afficheur braille. Pour périphérique, spécifiez le chemin complet du périphérique auquel votre afficheur braille est connecté.

Si vous ne voulez pas identifier explicitement le pilote et le périphérique à chaque fois que vous démarrez BRLTTY, vous pouvez procéder de deux façons. Vous pouvez établir des paramètres système par défaut via les lignes braille-driver et braille-device du fichier de configuration, et/ou compiler tout ce dont vous avez besoin dans BRLTTY via les options de compilation --with-braille-driver et --with-braille-device.

Si tout va bien, le message d'identification de BRLTTY devrait apparaître sur l'afficheur braille pendant quelques secondes (voir l'option -M de la ligne de commande). Après qu'il ait disparu, (ce que vous pouvez accélérer en appuyant sur n'importe quelle touche de l'afficheur), la zone de l'écran où le curseur se situe devrait apparaître. Cela signifie que vous devriez vous attendre à voir s'afficher les commande du shell. Alors, comme vous avez entré votre commande précédente, chaque caractère devrait apparaître sur l'afficheur dès qu'il est tapé sur le clavier.

Si les choses se passent ainsi, arrêtez l'exécution de BRLTTY, et réjouissez-vous. Sinon, il peut être nécessaire de tester chaque pilote séparément de façon à isoler la source du problème. Vous pouvez tester le pilote de l'écran par scrtest, et celui de l'afficheur braille par brltest.

Si vous rencontrez un problème qui nécessite de farfouiller, vous voudrez peut-être exécuter les options suivantes de la ligne de commande de `brltty`:

- ... -ldebug pour mettre dans un journal beaucoup de messages de diagnostique.
- -n pour mettre BRLTTY au premier plan.
- -e pour diriger les messages de diagnostique vers l'erreur standard et non dans le journal système.

## 3.4 Démarrer BRLTTY

Quand BRLTTY est correctement installé, on l'appelle par la simple commande `brltty`. Vous pouvez créer un fichier de configuration (voir la section le fichier de configuration pour plus de détails) afin de d'établir des paramètres système par défaut pour des choses telles que l'emplacement du fichier de préférences, le pilote d'afficheur braille à utiliser, le périphérique auquel l'afficheur braille est connecté, et la table de texte à utiliser. Beaucoup d'options (voir la section Options en ligne de commande pour plus de détails) permettent de spécifier lors de l'exécution des choses telles que le fichier de configuration, les paramètres par défaut fixés dans le fichier de configuration, et quelques caractéristiques qui ont des paramètres par défaut raisonnables mais avec lesquelles seuls ceux qui pensent savoir ce qu'ils font peuvent souhaiter modifier. L'option -h affiche un résumé de toutes les options. L'option -V affiche la version courante du programme, de l'API et des pilotes sélectionnés. L'option ``-v'' affiche les valeurs des options après que toutes les sources aient été examinées.

C'est probablement mieux d'avoir BRLTTY démarré automatiquement par le système, dès la séquence d'amorçage, de façon à ce que l'afficheur braille soit déjà prêt à fonctionner quand l'invite du logging apparaît. La plupart (probablement toutes) des distributions fournissent un script dans lequel les applications fournies par l'utilisateur peuvent être démarrées en sécurité, presqu'à la fin de la séquence de boot. Le nom de ce script dépend de votre distribution. Voici celles que nous connaissons:

Red Hat

  `/etc/rc.d/rc.local`

C'est une bonne idée que de démarrer BRLTTY depuis ce script (surtout pour les nouveaux utilisateurs). Ajustez simplement des lignes du type:

> `

>     if [ -x /bin/brltty -a -f /etc/brltty.conf ]
>     then
>        /bin/brltty
>     fi

> `

Normalement, cela peut s'abréger en une forme un peu moins lisible du type:

> `

>     [ -x /bin/brltty -a -f /etc/brltty.conf ] && /bin/brltty

> `

N'ajoutez pas ces lignes avant la première ligne (qui ressemble généralement à `#!/bin/sh`).

Si l'afficheur braille doit être utilisé par un administrateur système, il devrait probablement être démarré le plus tôt possible, pendant la séquence de boot (comme par exemple avant que les systèmes de fichier ne soient vérifiés) afin que l'afficheur soit utilisable si quelque chose ne va pas dans ces tests et que le système bascule en mode mono-utilisateur. De nouveau, là où il est l'idéal de faire cela dépend de la distribution. Voici les emplacements que nous connaissons:

Debian

  `/etc/init.d/boot` (pour les vieilles versions)
  `/etc/init.d/` (pour les versions récentes)
  Un paquet `brltty` est fourni (voir [ http://paquets.debian.org/brltty]) en tant que version `3.0` (`Woody`). Comme ce paquet prend soin du démarrage de BRLTTY, il n'y a pas besoin pour l'utilisateur de fournir quoique ce soit, s'il est installé. Si vous avez besoin que le démon se lance avec des options en ligne de commande, vous pouvez modifier le contenu entre guillemets du fichier `/etc/default/brltty`. Si vous avez besoin que le démon se lance avec des options en ligne de commande, vous pouvez modifier le contenu entre guillemets de la ligne `ARGUMENTS` du fichier `/etc/default/brltty`.

RedHat

  `/etc/rc.d/rc.sysinit`
  Sachez que les versions récentes, afin de supporter une procédure d'initialisation du système plus orientée vers les utilisateurs, font rappeler ce script par lui-même de telle sorte qu'il soit sous le contrôle de `initlog`. Recherchez des lignes comme celles-ci:

  > `

  >         # Rerun ourselves through initlog
  >         if [ -z "$IN_INITLOG" ]; then
  >           [ -f /sbin/initlog ] && exec /sbin/initlog $INITLOG_ARGS -r /etc/rc.sysinit
  >         fi

  > `

  Démarrer BRLTTY avant ce rappel donne deux processus BRLTTY en même temps, et cela vous causera des foules de problèmes. Si votre version de ce script a cette caractéristique, assurez-vous de démarrer BRLTTY après les lignes qui le mettent en action.
Slackware

  `/etc/rc.d/rc.S`

SuSE

  `/sbin/init.d/boot`

Une autre solution est de démarrer BRLTTY depuis /etc/inittab. Si vous choisissez cette solution, vous avez deux possibilités.

- Si vous voulez qu'il démarre vraiment très tôt, mais que vous n'avez pas besoin qu'il soit redémarré automatiquement s'il échoue, ajoutez une ligne comme la suivante avant la première ligne `:sysinit:` qui est déjà dans le fichier.
- Une autre solution est de démarrer BRLTTY depuis /etc/inittab. Si vous choisissez cette solution, vous avez deux possibilités. Si vous voulez qu'il démarre vraiment très tôt, mais que vous n'avez pas besoin qu'il soit redémarré automatiquement en cas d'échec, ajoutez une ligne comme la suivante avant la première ligne :sysinit: qui est déjà dans le fichier.

  > `brl:12345:respawn:/bin/brltty -n`

  L'option -n (--nodaemon) quand BRLTTY est exécuté avec la facilité respawn de l'inittab. Si vous oubliez de la spécifier, vous allez vous retrouver avec des centaines de processus BRLTTY, tous exécutés en même temps.

Vérifiez que l'identificateur (`brl` dans ces exemples) n'est pas déjà utilisé par une autre entrée, et, si c'est le cas, choisissez-en un autre.

Remarquez qu'une commande telle que `kill -TERM` suffit pour arrêter BRLTTY dans ses opérations. Si, par exemple, il meurt lors de l'entrée en mode mono-utilisateur, il se pourrait bien que cela vienne d'un problème de cette nature.

Certains systèmes rencontrent des problèmes si une application tente d'utiliser le sous-système son du noyau avant qu'il ait été initialisé. Si votre système en fait partie, vous aurez peut-être besoin de désactiver le démarrage automatique du pilote de la synthèse vocale avec l'option -N.

Certains systèmes, dans une étape de leur séquence de boot, testent (probe) les ports série (normalement afin de détecter automatiquement la souris et déduire son type). Si votre afficheur braille utilise un port série, ce genre de détection peut suffir à le gêner. Si cela vous arrive, essayez de redémarrer le pilote braille (voir la commande RESTARTBRL). Ou mieux, désactiver le test du port série. Voici ce que nous savons sur la manière de réaliser cela:

Red Hat

  Le test se fait par un service appelé `kudzu`. Utilisez la commande

  > `chkconfig --list kudzu`

  pour voir s'il a été activé. Utilisez la commande

  > `chkconfig kudzu off`

  pour le désactiver. Les dernières versions permettent de laisser `kudzu` s'exécuter sans tester les ports série. Pour cela, éditez le fichier `/etc/sysconfig/kudzu`,, et réglez `SAFE` à `yes`.

Si vous voulez démarrer BRLTTY avant que les systèmes de fichiers ne soient montés, assurez-vous que tous leurs composants sont installés dans le fichier racine du système. Voir les options de compilation --with-execute-root, --bindir, --with-data-directory, et --libdir ref id="build-execute-root" name="--with-writable-directory"> et ref id="build-execute-root" name="--with-data-directory'' build">.

## 3.5 Considérations sur la sécurité

L'exécution de BRLTTY nécessite les privilèges root parce que le programme a besoin, lorsqu'il s'exécute, des droits d'accès de lecture et d'écriture pour le port auquel l'afficheur braille est connecté, les droits d'accès en lecture à /dev/vcsa ou équivalent (pour avoir les dimensions de l'écran et la position du curseur, et pour revoir le contenu et les choses mises en valeur sur l'écran courant), ainsi que les accès en lecture et écriture à la console système (pour l'entrée des flèches de direction pendant le déplacement du curseur) pour l'insertion de caractères lors du Coller, pour la simulation de touches spéciales en utilisant celles de l'afficheur braille, pour la recherche de traduction des caractères en sortie et les tables faisant la correspondance des polices de l'écran, et pour l'activation du beeper interne). Vous pouvez, bien entendu, autoriser les utilisateurs ordinaires à accéder aux périphériques nécessaires, en changeant les permissions du fichier associé au périphérique. Toutefois, le simple accès à la console ne suffit pas car l'activation du beeper interne et des fonctions de simulation du clavier requiert les privilèges root. Ainsi, si vous voulez arrêter le déplacement du curseur, utiliser Copier/Coller les beep et tout cela, vous pouvez exécuter BRLTTY sans les privilèges root.

## 3.6 Restrictions applicables à la compilation et à l'exécution

les beeps d'Alerte

  Certaines plateformes ne supportent pas tous les périphériques sonores. Voir Périphérique pour le son pour plus de détails.

Pilote pour la synthèse FestivalLite

  Le pilote pour le moteur FestivalLite n'est compilé que si ce paquet a été installé.

  Ce pilote et celui pour le moteur Theta (voir l'option de compilation ``--with-theta'') ne peuvent être liés tous les deux à l'exécutable BRLTTY (voir l'option de compilation --with-speech-driver) car les bibliothèques nécessaires à leur exécution contiennent des éléments conflictuels.

Pilote pour l'afficheur braille Libbraille

  Le pilote pour le paquet libbraille n'est compilé que si le paquet a été installé.

Pilote pour la synthèse Mikropuhe

  Le pilote pour le moteur Mikropuhe n'est compilé que si ce paquet a été installé.

  Vous ne pouvez inclure ce pilote si l'exécutable BRLTTY est lié statiquement (voir l'option de compilation --enable-standalone-programs) car le paquet n'inclut pas de bibliothèque statique.

Le pilote pour la synthèse Theta

  Le pilote pour le moteur Theta n'est compilé que si ce paquet a été installé.

  Ce pilote et celui pour le moteur FestivalLite (voir l'option de compilation --with-flite) ne peuvent être liés tous les deux à l'exécutable BRLTTY (voir l'option de compilation --with-speech-driver) car les bibliothèques nécessaires à leur exécution contiennent des éléments conflictuels.

  Si ce pilote est compilé comme objet dynamique, vous devez rajouter `$THETA_HOME/lib` à la variable d'environnement `LD_LIBRARY_PATH` avant que BRLTTY ne soit appelé, car les objets à l'intérieur du paquet ne contiennent pas les chemins de recherche pour l'exécution et leurs dépendances.

ViaVoice Speech Synthesizer Driver

  Le pilote pour le moteur ViaVoice n'est compilé que si ce paquet a été installé.

  Vous ne pouvez inclure ce pilote si l'exécutable BRLTTY est lié statiquement (voir l'option de compilation the --enable-standalone-programs) car le paquet n'inclut pas de bibliothèque statique.

Pilote pour l'afficheur braille VideoBraille

  Le pilote pour l'afficheur braille VideoBraille est compilé sur tous les systèmes, mais ne fonctionne que sur Linux.

## 3.7 Installation à partir d'un fichier RPM

Pour installer BRLTTY à partir d'un fichier RPM (RedHat paquet Manager), procéder comme suit:

1. Téléchargez le paquet exécutable correspondant à votre matériel. Ce sera un fichier nommé `brltty-`version`-`version`.`architecture`.rpm`, par exemple, `brltty-3.0-1.i386.rpm`.
2. Installez le paquet.

   > `rpm -Uvh brltty-version-version.architecture.rpm`

   Vous devez faire cela en tant que root. A proprement parler, l'option `-U` (Update) est la seule nécessaire. L'option `-v` (verbose) affiche le nom du paquet lorsqu'il va être installé. L'option `-h` (hashes) affiche une barre de progression (utilisant des hachures).

Pour les gens courageux, nous fournissons le fichier RPM source (`.src.rpm`) mais cela dépasse l'objectif de ce document.

Pour désinstaller BRLTTY, faites:

> `rpm -e brltty`

## 3.8 Autres outils

La compilation de BRLTTY donne aussi celle de quelques petits outils d'aide et de diagnostic.

### brltty-config

Cet outil affecte un certain nombre de variables d'environnement à des valeurs reflétant l'installation courante de BRLTTY (voir les options de compilation). Vous devriez l'exécuter dans un environnement shell existant, donc ce n'est pas une véritable commande, et seuls les scripts supportant la syntaxe `Bourne Shell` peuvent l'utiliser.

> `. brltty-config`

Les variables d'environnement suivantes sont affectées:

BRLTTY_VERSION

  Le numéro de version du paquet BRLTTY.

BRLTTY_EXECUTE_ROOT

  La racine de l'exécution du paquet installé. Configurée par l'option de compilation --with-execute-root.

BRLTTY_PROGRAM_DIRECTORY

  Répertoire des programmes exécutables (binaires exécutables). Configuré par l'option de compilation --with-program-directory.

BRLTTY_LIBRARY_DIRECTORY

  Répertoire des pilotes. Configuré par l'option de compilation --with-library-directory.

BRLTTY_WRITABLE_DIRECTORY

  Répertoire dans lequel il est possible d'écrire. Configuré par l'option de compilation --with-writable-directory.

BRLTTY_DATA_DIRECTORY

  Répertoire des tables et des pages de manuel. Configuré par l'option de compilation --with-data-directory.

BRLTTY_MANPAGE_DIRECTORY

  Répertoire des pages de manuel. Configuré par l'option de compilation --with-manpage-directory.

BRLTTY_INCLUDE_DIRECTORY

  Répertoire pour les fichiers d'en-tête C de BrlAPI. Configuré par l'option de compilation --with-include-directory.

BRLAPI_VERSION

  Le numéro de version de BrlAPI (BRLTTY's Application Programming Interface).

BRLAPI_RELEASE

  Le numéro de version complet de BrlAPI.

BRLAPI_AUTH

  Le nom du fichier de clés de BrlAPI.

En plus, les variables d'environnement standard `autoconf` suivantes sont aussi assignées:

prefix

  Sous-répertoire pour les fichiers indépendants de l'architecture. Configuré par l'option de compilation --prefix.

exec_prefix

  Sous-répertoire pour les fichiers dépendants de l'architecture. Configuré par l'option de compilation --exec-prefix.

bindir

  Emplacement par défaut du répertoire du programme. Configuré par l'option de compilation `--bindir`.

libdir

  Répertoire pour les objets dynamiques et statiques de BrlAPI, la localisation par défaut pour le répertoire des bibliothèques. Configuré par l'option de compilation --libdir.

sysconfdir

  Répertoire des fichiers de configuration, emplacement par défaut du répertoire de données. Configuré par l'option de compilation --sysconfdir.

mandir

  Emplacement par défaut pour le répertoire des pages de manuel. Configuré par l'option de compilation `--mandir`.

includedir

  Emplacement par défaut du répertoire des fichiers d'en-tête. Configuré par l'option de compilation `--includedir`.

### brltty-install

Cet outil copie la hiérarchie des fichiers installés de BRLTTY d'un emplacement à un autre.

> `brltty-install destination [origine]`

destination

  L'emplacement où la hiérarchie des fichiers installés sera copiée. Cela doit être un répertoire existant.

from

  L'emplacement à partir duquel la hiérarchie des fichiers installés sera copiée. S'il est spécifié, le répertoire doit exister. S'il n'est pas spécifié, l'emplacement utilisé pour la compilation est utilisé.

Par exemple, vous pouvez utiliser cette outil pour copier BRLTTY à partir d'un disque racine. Si une disquette racine est montée dans `/mnt`, et que BRLTTY est installé sur le système principal, taper

> `brltty-install /mnt`

copie BRLTTY, en entier avec ses fichiers de données et ses bibliothèques, sur la disquette racine.

Quelques problèmes ont été rencontrés en copiant BRLTTY entre des systèmes avec différentes versions de la bibliothèque C. Si vous avez des difficultés, cela vaut la peine d'enquêter.

### brltest

Cet outil teste un pilote d'afficheur braille, et fournit presque une façon interactive d'apprendre ce que font les touches de l'afficheur braille. Vous devriez l'exécuter en tant que root.

> `brltest -option ... [pilote [nom=valeur ...]]`

pilote

  Le pilote de l'afficheur braille. Doit être les deux lettres du code d'identification du pilote. S'il n'est pas spécifié, le premier pilote configuré par l'option de compilation --with-braille-driver est utilisé.

nom`=`valeur

  Affecte un paramètre d'afficheur braille. Pour une description des paramètres acceptés par un pilote spécifique, voir la documentation de ce pilote.

`-d` device `--device=`périphérique

  Le chemin absolu pour le périphérique auquel l'afficheur braille est connecté. S'il n'est pas spécifié, c'est le périphérique configuré par l'option de compilation --with-braille-device qui est utilisé.

`-D` directory `--data-directory=`répertoire

  Vous devriez fournir un chemin absolu pour le répertoire où les fichiers de données des pilotes sont placés. S'il n'est pas spécifié, c'est le répertoire configuré par l'option de compilation --with-data-directory qui est utilisé.

`-L` directory `--library-directory=`repertoire

  Le chemin absolu pour le répertoire dans lequel sont situés les pilotes. S'il n'est pas spécifié, c'est le répertoire configuré par l'option de compilation --libdir qui est utilisé.

`-W` répertoire `--writable-directory=`repertoire

  Le chemin absolu vers un répertoire où il est possible d'écrire. S'il n'est pas spécifié, le répertoire configuré avec l'option >e compilation --with-writable-directory est utilisé.

`-h` `--help`

  Affiche un résumé des options de la ligne de commande, puis quitte.

Cet outil utilise le ``mode apprentissage des commandes'' de BRLTTY. Le délai d'appui sur une touche (après lequel cet outil quitte) est de 10 secondes. Le temps d'affichage du message (utilisé pour les segments non-finaux de longs messages) est de `4` secondes.

### spktest

Cet outil teste un pilote de synthèse vocale. Il se peut qu'il doive être exécuté en tant que root.

> `spktest -option ... [pilote [nom=value ...]]`

pilote

  Le pilote pour la synthèse vocale. Doit être les deux lettres du code d'identification de pilote. S'il n'est pas spécifié, c'est le premier pilote spécifié par l'option de compilation --with-speech-driver qui est utilisé.

nom`=`valeur

  Règle le paramètre du pilote de la synthèse vocale. Pour une description des paramètres acceptés par un pilote spécifique, voir la documentation de ce pilote.

`-t` string `--text-string=`string

  Le texte qui sera dit. S'il n'est pas spécifié, c'est l'entrée standard (stdin) qui est lue.

`-D` repertoire `--data-directory=`repertoire

  Le chemin absolu pour le répertoire dans lequel se situent les fichiers de données du pilote. S'il n'est pas spécifié, c'est le répertoire configuré par l'option de compilation --with-data-directory qui est utilisé.

`-L` repertoire `--library-directory=`repertoire

  Le chemin absolu du répertoire où se situe les pilotes. S'il n'est pas spécifié, c'est le répertoire configuré par l'option de compilation --libdir qui est utilisé.

`-h` `--help`

  Affiche un résumé des options de la ligne de commande, puis quitte.

### scrtest

Cet outil teste le pilote d'écran. Il doit être exécuté en tant que root.

> `scrtest -option ... [nom=valeur ...]`

nom`=`valeur

  Règle le paramètre du pilote de l'écran. Pour une description des paramètres acceptés par un pilote spécifique voir la documentation de ce pilote.

`-l` colonne `--left=`colonne

  Spécifie la colonne du début (à gauche) de l'écran (origine à zéro). Si vous ne fournissez pas cette valeur, une valeur par défaut, basée sur la largeur spécifiée, est sélectionnée, de telle sorte que la fenêtre soit centrée à l'horizontal, est utilisée.

`-c` coompte `--columns=`compte

  Spécifie la largeur de la fenêtre (en colonnes). Si vous ne fournissez pas cette valeur, une valeur par défaut, basée sur la colonne de début, est sélectionnée, de telle sorte que la fenêtre soit centrée à l'horrizontal.

`-t` ligne `--top=`ligne

  Spécifie la ligne de début (en haut) de l'écran (origine à zéro). Si vous ne fournissez pas cette valeur, une valeur par défaut, basée sur la hauteur spécifiée, est sélectionnée, de telle sorte que la fenêtre soit centrée à la verticale.

`-r` compte `--rows=`compte

  Spécifie la hauteur de la fenêtre (en lignes). Si vous ne fournissez pas cette valeur, une valeur par défaut, basée sur la rangée de début spécifiée, est sélectionnée, de telle sorte que la fenêtre soit centrée à la verticale.

`-h` `--help`

  Affiche un résumé des options de la ligne de commande, puis quitte.

Remarques:

- Si vous ne spécifiez ni la colonne de début, ni la largeur de la fenêtre, la région est centrée horizontalement et commence à la colonne 5.
- Si vous ne spécifiez ni la rangée de début, ni la hauteur de la fenêtre, la région est centrée verticalement et commence à la ligne 5.

Les éléments suivants sont écrits sur la sortie standard (stdout):

1. Une ligne détaillant les dimensions de l'écran.

   > `Screen: largeurxhauteur`

2. Une ligne détaillant la position (à l'origine zéro) du curseur.

   > `Cursor: [colonne,ligne]`

3. Une ligne détaillant les dimensions de la zone d'écran sélectionnée, et la position (à l'origine zéro) de son coin en haut à gauche.

   > `Region: largeurxhauteur@[colonne,ligne]`

4. Le contenu de la région d'écran sélectionnée. Les caractères non-imprimables sont représentés par des espaces.

### ttbtest

Cet outil teste une table de texte (section Tables de texte).

> `ttbtest -option ... input-table output-table`

table-en-entrée

  Le chemin du fichier vers la table de texte en entrée du test. S'il est relatif, il est ancré au répertoire configuré avec l'option de compilation --with-data-directory.

table-en-sortie

  Le chemin du fichier vers la table de texte en sortie du test. S'il est relatif, il est ancré au répertoire de travail courant. Si vous ne fournissez pas ce paramètre, aucune table en sortie ne sera écrite.

`-i` `--input-format=`format

  Spécifie le format de la table d'entrée. S'il vous ne fournissez pas cette option, le format de la table en entrée est déduit de l'extension de son fichier.

`-o` `--output-format=`format

  Spécifie le format de la table en sortie. S'il vous ne fournissez pas cette option, le format de la table en entrée est déduit de l'extension de son fichier.

`-c` charset `--charset=`charset

  Spécifie le nom de l'encodage 8-bit à utiliser lors de l'interprétation des tables. Si vous ne fournissez pas cette option, le codage de l'hôte est utilisé.

`-e` `--edit`

  Appelle l'éditeur de tables de texte. Si vous spécifiez table de sortie, les changements seront écrits dessus. Sinon, la table d'entrée et réécrite.

`-h` `--help`

  Affiche un résumé des options en ligne de commande, et quitte.

Si vous ne demandez aucune action en particulier, la table de sortie est facultative. Si vous ne la spécifiez pas, la table d'entrée est vérifiée. Si vous la spécifiez, la table d'entrée est convertie. Les formats de table suivants sont supportés:

ttb

  BRLTTY

sbl

  SuSE Blinux

a2b

  Gnopernicus

gnb

  Braille Gnome

### ctbtest

Cet outil teste une table de braille abrégé (section Tables de braille abrégé). Le texte lu à partir de l'entrée standard (stdin) est réécrit sur la sortie standard (stdout) en braille abrégé.

> `ctbtest -fichier-en-entrée`

fichier-en-entrée

  La liste des fichiers à traiter. Vous pouvez spécifier n'importe quel nombre de fichiers. Ils sont traités de la gauche vers la droite. Le nom de fichier spécial - est interprété comme l'entrée standard (stdin). Si vous ne spécifiez aucun fichier, l'entrée standard est traitée.

`-c` fichier `--contraction-table=`fichier

  Le chemin vers le fichier de la table de braille abrégé. S'il est relatif, il est ancré au répertoire configuré par l'option de compilation --with-data-directory. L'extension .ctb est facultative. Si vous ne fournissez pas cette option, en-us-g2 est supposé.

`-t` file|`auto` `--text-table=`file|`auto`

  Spécifie la table de texte (voir la section Tables de texte pour les détails). Si vous fournissez un chemin relatif, il est ancré à `/etc/brltty` (voir les options de compilation --with-data-directory et --with-execute-root pour plus de détails). L'extension `.ttb` est facultative. Voir la ligne text-table du fichier de configuration pour le paramétrage par défaut au moment de l'exécution. Vous pouvez modifier ce paramètre avec la préférence Text Table.

`-w` colonnes `--output-width==`colonnes

  La longueur maximale d'une ligne en sortie. Chaque ligne d'entrée en braille abrégé est développée sur autant de lignes que nécessaire. Si vous ne spécifiez pas cette option, il n'y a pas de limites et s'opère une correspondance ligne par ligne entre les lignes en entrée et celles en sortie.

`-h` `--help`

  Affiche un résumé des options en ligne de commande, et quitte.

La table de texte est utilisée:

- Pour définir l'encodage de sortie de manière à ce que le braille abrégé soit correctement affiché. Vous devriez spécifier la même table devant être utilisée par BRLTTY lorsque la sortie sera lue.
- Pour définir les représentations braille de ces caractères définies dans le braille abrégé (voir la section Traduction de caractère).

C'est la table de traduction de texte `text.brf.ttb` qui est fournie pour l'utilisation de cet outil. Il définit le format utilisé dans les fichiers .brf. C'est aussi le format que préfèrent utiliser les imprimantes braille et les documents braille électroniques. Cette table permet à cet outil d'être réellement utilisé en tant que traducteur de braille en texte.

### tunetest

Cet outil teste la facilité des sons d'avertissement, et fournit aussi un moyen facile de créer de nouveaux sons. Il se peut que vous soyez obligés de l'exécuter en tant que root.

> `tunetest -option ... {note durée} ...`

note

  Un numéro de note MIDI standard. Il doit être un entier de `1` à `127`, avec 60 représentant la valeur moyenne. Chaque valeur représente un demi-ton chromatique standard, donc des notes les plus basses aux notes les plus hautes. La valeur la plus faible (`1`) représente le cinquième sous Middle C, et la valeur la plus haute (`127`) représente le sixième G au-dessus de Middle C (notation anglosaxonne).

durée

  La durée de la note est en millisecondes. Elle doit être un entier de `1` à `255`..

`-d` périphérique `--device=`périphérique

  Le périphérique sur lequel jouer le son.

  beeper

    Le beeper interne (générateur de sons en console).

  pcm

    L'interface digital audio sur la carte son.

  midi

    L'interface numérique d'instrument de musique sur la carte son.

  fm

    Le synthétiseur FM sur une carte son AdLib, OPL3, Sound Blaster, ou équivalente.

  Vous pouvez abréger le nom du périphérique. Voir la préférence Tune Device pour plus de détails concernant le périphérique par défaut et les restrictions de la plateforme.
`-v` volume `--volume=`volume

  Spécifie le volume à la sortie (intensité) sous la forme d'un pourcentage du maximum. Le volume de sortie par défaut est de `50`.

`-p` device `--pcm-device=`device

  Spécifie le périphérique à utiliser pour le son (voir la section spécification du périphérique PCM). Cette option ne fonctionne pas si vous avez spécifié l'option de compilation --disable-pcm-support.

`preferences-file` file

  Spécifie l'emplacement du fichier qui doit être utilisé pour sauvegarder et charger les préférences de l'utilisateur. Si vous fournissez un chemin relatif, il est ancré sur `/var/lib/brltty`. Le réglage par défaut consiste à utiliser `brltty.prefs`. Vous pouvez outre-passer cette ligne avec l'option -F en ligne de commande.

`-m` peripherique `--midi-device=`peripherique

  Spécifie le périphérique à utiliser pour l'interface numérique d'instrument de musique (voir la section spécification du périphérique MIDI). Cette option ne fonctionne pas si vous avez spécifié l'option de compilation --disable-midi-support.

`-i` instrument `--instrument=`instrument

  L'instrument à utiliser si le périphérique sélectionné est midi. Pour la liste complète des instruments, voir la Table des instrument MIDI. L'instrument par défaut est un `piano grand accoustique`. Les mots comportant le nom de l'instrument doivent être séparés les uns des autres par un simple signe moins plutôt que par des espaces, et chacun des mots peut être abrégé.

`-h` `--help`

  Affiche un résumé des options de la ligne de commande.

Page suivante Page précédente Table des matières